URL: /baas/api/reference/financial-operations/execute-prepared-operation --- title: 'Execute prepared operation' description: 'Execute a previously prepared operation using preparedOrderId and authenticationCode.' --- ## Endpoint `POST /api/v2.1/fintrans/{accountId}/types/{operationType}/execute` This endpoint requires `X-Forwarded-From` and a device header. The backend accepts any of: `deviceId`, `X-Device-Id`, `device-id`. ## Sample cURL ```bash curl --request POST \ --url 'https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/types/{operationType}/execute' \ --header 'Authorization: Bearer ' \ --header 'X-Tenant-Id: ' \ --header 'Content-Type: application/json' \ --header 'Accept: application/json' \ --header 'User-Agent: ' \ --header 'X-Forwarded-From: ' \ --header 'platform: Web' \ --header 'deviceId: ' \ --data '{ "consentConfirmation": { "consentId": "f3822ff0-3986-4fef-84eb-7b517e657b6f", "channel": "WEB", "signature": "integration-test-signature", "confirmed": true }, "preparedOrderId": "621d1386-f2fb-4655-88a8-997db0ec446a", "authenticationCode": "768807" }' ``` ## Response Example ```json { "code": 200, "data": { "preparedOrderId": "621d1386-f2fb-4655-88a8-997db0ec446a", "status": "EXECUTING", "executedAt": "2026-03-31T11:50:16+03:00" }, "message": "Success" } ``` The `authenticationCode` is taken from the `magicLinkToken` returned when creating the payment consent (decode the JWT and extract the `answer` field). ## Missing Headers Error Example ```json { "code": 500, "data": { "deviceId_accepted": [ "deviceId", "X-Device-Id", "device-id" ], "missingHeaders": [ "X-Forwarded-From", "deviceId" ] }, "message": "Missing required header(s)" } ```